﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;
using System;

public class CameraSystem_Manager : MonoBehaviour
{
    public static CameraSystem_Manager Instance;

    [SerializeField] private Camera camera;
    [SerializeField] private Camera secondCamera;
    private Tween moveTwn;

    public void Init_Func()
    {
        Instance = this;
    }

    public void Move_Func(Vector2 _movePos, float _time)
    {
        if (moveTwn != null)
        {
            moveTwn.Kill();
            moveTwn = null;
        }

        if (0f < _time)
            moveTwn = this.transform.DOMove(_movePos, _time);
        else
            this.transform.position = _movePos;
    }

    public Vector2 GetScreenPosToWorldPos_Func(Vector2 _screenPos)
    {
        return this.camera.ScreenToWorldPoint(_screenPos);
    }
}
