﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class UI_Status_Manager : MonoBehaviour
{
    public static UI_Status_Manager Instance;

    [SerializeField] private GameObject groupObj;
    [SerializeField] private Text hpTxt;
    [SerializeField] private Text liarTxt;
    [SerializeField] private Text stageTxt;

    public void Init_Func()
    {
        Instance = this;
    }

    public void SetHP_Func(int _hp)
    {
        hpTxt.text = _hp.ToString();
    }

    public void SetLiar_Func(int _num)
    {
        liarTxt.text = _num.ToString();
    }

    public void SetStage_Func(int _stageId)
    {
        this.stageTxt.text = StringBuilder_C.Append_Func("Day ", _stageId.ToString());
    }

    public void StageStart_Func(int _stageId, int _hp, int _liarNum)
    {
        this.groupObj.SetActive(true);

        this.SetStage_Func(_stageId);
        this.SetHP_Func(_hp);
        this.SetLiar_Func(_liarNum);
    }
}
