﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class UI_Victory_Manager : MonoBehaviour
{
    public static UI_Victory_Manager Instance;

    [SerializeField] private GameObject groupObj;
    [SerializeField] private Animation anim;
    private int cnt;

    public void Init_Func()
    {
        Instance = this;

        groupObj.SetActive(false);

        cnt = 0;
    }

    public void OnVictory_Func()
    {
        groupObj.SetActive(true);
        anim.Play();

        SoundSystem_Manager.Instance.SetBgmVolumn_Func(0f, 1f);

        Coroutine_C.Invoke_Func(delegate ()
        {
            SoundSystem_Manager.Instance.SetBgmVolumn_Func(1f, 1f);

            SoundSystem_Manager.Instance.PlayVictoryBgm_Func();
        }, 1f);
    }

    public void CallAni_Func(string _key)
    {
        if(_key == "Done")
        {
            cnt++;

            if(3 < cnt)
                UnityEngine.SceneManagement.SceneManager.LoadScene(0);
        }
    }
}
